Retrieve brands by associated user
curl --request GET \
--url https://api.hubapi.com/business-units/public/2026-03/business-units/user/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/business-units/public/2026-03/business-units/user/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/business-units/public/2026-03/business-units/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"name": "<string>",
"logoMetadata": {
"logoAltText": "<string>",
"logoUrl": "<string>",
"resizedUrl": "<string>"
}
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Brands
Get business units for a user
Retrieve the brands that a specific user can access.
GET
/
business-units
/
public
/
2026-03
/
business-units
/
user
/
{userId}
Retrieve brands by associated user
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
successful operation
The collection of Business Units
Show child attributes
Show child attributes
Last modified on March 31, 2026
Was this page helpful?
⌘I